**PYTIGON**
=======

*Discover the Power of Pytigon*

Introduction
----------

Pytigon brings together the prowess of several cutting-edge technologies: Python, Django, and wxWidgets. It forms an integrated and seamless development environment that caters to a range of application types.

**Key Advantages of Pytigon:**

- **Versatile Application Development:**
   - Harness the versatility of the Python language.
   - Leverage the capabilities of the Django web framework.
   - Utilize the wxWidgets toolkit to create desktop applications.
   - Craft modern web clients using Bootstrap.

- **Cross-Platform Compatibility:**
   - Develop desktop applications for Linux, Windows, and OSX.
   - Create web-based clients for both mobile and desktop usage.

- **Robust Component Integration:**
   - Immerse yourself in Python's philosophy throughout:
     - Employ modified Django templates that align with Pythonic indentation principles.
     - Seamlessly integrate Python with JavaScript using the embedded python to javascript compiler.
   - Merge wxPython widgets seamlessly with Django model fields.
   - Achieve harmony between Django server and wxPython client programs.

- **All-in-One Pytigon IDE:**
   
   The Pytigon IDE empowers you to not only create programs but also generate installation packages, creating translations for multilingual versions, e.t.c

Installation
-----------

1. **Windows:**

   Simply download and execute the installation program. It comes bundled with a Python environment and all necessary libraries.

   or run command:

      ```
      pip install pytigon-gui
      ```

2. **Linux:**

   run command
      
      ```
      pip install pytigon-gui
      ```

   and install wxPython by following the guide at [`https://wiki.wxpython.org/How to install wxPython`](https://wiki.wxpython.org/How%20to%20install%20wxPython).

   or run command

      ```
      snap install --beta ptig
      ```

